<template>
    <div class="panel panel-default">
        <div class="panel-heading">
            <nav>
                <ul class="list-inline">
                    <li>
                        <router-link :to="{ name: 'home' }">Home</router-link>
                    </li>
                    <li class="pull-right">
                        <router-link :to="{ name: 'login' }">Login</router-link>
                    </li>                    <li class="pull-right">
                    <router-link :to="{ name: 'register' }">Register</router-link>
                </li>
                </ul>
            </nav>
            <v-btn small @click="logout">Logout</v-btn>
            <p>{{ success }}</p>
        </div>
        <div class="panel-body">
            <router-view></router-view>
        </div>
    </div>
</template>

<script>
    export default {
       data () {
           return {
                success: '',
           }
       },
       methods: {
            logout () {
                let token =  JSON.parse(localStorage.getItem('token'));
                let self = this;
                const header = {'Authorization': 'Bearer ' + token};
                this.axios.get('/logout', { headers: header }).then(function (response) {
                   self.success = response.data.msg;
                }).catch((e) => {
                    console.log(e)
                })
            }
       }
    }
</script>

<style scoped>

</style>